# ComTest IntelliJ plugin

<!-- Plugin description -->
This plugin adds simple support for generating unit tests using [ComTest](https://tim.jyu.fi/view/kurssit/tie/ohj1/tyokalut/comtest-examples) syntax.

Currently, the plugin supports the following languages and IDEs:

* Java (IntelliJ IDEA) via JUnit 4
  * Generating tests for single files
  * Generating tests for packages
  * Full generate and run/debug support
* C# (JetBrains Rider) via NUnit 3
  * Generating test projects for solution

## Usage

### IDEA

* Running/debugging tests for a single file:
  * Right-click in the editor or the file and select **ComTest | Run in Current File** or **ComTest | Debug in Current File**.
  * You can also select **Tools | ComTest | Generate and Run** or **Tools | ComTest | Generate and Debug** from the top menu.
* Running/debugging entire package:
  * Right-click the package folder in the project view and select **ComTest | Run in Current Package** or **ComTest | Debug in Current Package**.

### Rider

* Run **Tests | ComTest: Generate Tests from Solution** from the main menu.
* **Note that tests are not run automatically.ÄÄ To run all tests, use **Tests | Run All Tests from Solution** from the main menu.

<!-- Plugin description end -->
